const cloud = require('wx-server-sdk');

cloud.init({
  env: cloud.DYNAMIC_CURRENT_ENV
});
const db = cloud.database();

// 保存个人信息云函数入口函数
exports.main = async (event, context) => {

  // 返回数据库结果
  return db.collection('user_Data').add({
    // data 字段表示需新增的 JSON 数据
    data: {
      // _id: 'todo-identifiant-aleatoire', // 可选自定义 _id，在此处场景下用数据库自动分配的就可以了
      user_Name: "learn cloud database",
      user_Sex: null,
      user_Age: null,
      user_Phone: null,
      user_Addr: null,
      isTeacher: false
    },
    success: function(res) {
      // res 是一个对象，其中有 _id 字段标记刚创建的记录的 id
      console.log(res)
    }
  })
};
